package logging

import (
	`golang.org/x/sys/windows/svc/eventlog`
)

type WinLogger struct {
	EnableDebug bool
	Prefix      string
	elog        *eventlog.Log
	eids        *WinEventID
}

type WinEventID struct {
	Alert,
	Crit,
	Debug,
	Emerg,
	Err,
	Info,
	Notice,
	Warning uint32
}
